<h1>Classes</h1>

<% if current_user.roles.exists?(:name => "Advisor") %>

<div class="row" style="margin-bottom: 60px;"> 
  <div class="center-block text-center ">
    <%= form_for([@user, DegreeProgression.new], remote: true, :html => {:class => "form-inline"})  do |f| %>


      <div class="form-group">
        <%= f.label :course %>
        <%= f.collection_select :course_id, Course.all, :id, :title, {}, {class: :"form-control"} %>
      </div>

      <div class="form-group">
        <%= f.label :completed %>
        <%= f.check_box :is_complete %>
      </div>

      <%= f.submit "Add", :class => "btn btn-primary" %>
    <% end %>
  </div>
</div>
<% end %>

<div id="courses">
  <% if @degree_progressions.count > 0 %>

    <% @degree_progressions.each do |dp| %>
      <%= render partial: 'degree_progression', locals: { degree_progression: dp } %>
    <% end %>
    
  <% else %>
    <em id="none-holder" style="font-weight: 200;">No Classes</em>
  <% end %>

</div>
